Community
cancel
Showing results for 
Search instead for 
Did you mean: 
andrea_d_
Beginner
65 Views

OpenCL runtime 15.1 for Ubuntu 14.04

I was trying to intall Intel OpenCL Runtime 15.1 for Ubuntu. I have a Xeon E3 Haswell.

Now, release notes clearly state 14.04 *is supported*: https://software.intel.com/file/448151/download , and installation instructions are pretty clear.

BUT, when I try to download the runtime from the official download page

https://software.intel.com/en-us/articles/opencl-drivers#ubuntu64

it downloads Intel Code Builder for Ubuntu, which supports 12.04 only.

How can I get runtime 15.1 installed on my Ubuntu 14.04?

0 Kudos
3 Replies
Yuri_K_Intel
Employee
65 Views

Hi, You should be able to install this package on 14.04. If there is some warning regarding unsupported OS, just ignore it. Thanks, Yuri
andrea_d_
Beginner
65 Views

Thanks for your reply.

I installed code builder with terminal installation and ignoring warnings about unsupported OS.

It seems to work.

andrea_d_
Beginner
65 Views

Yuri,

Is there any tutorial about Code Builder for Ubuntu? Documentation on Intel site is scanty. I don't need any IDE integration, just want to write OpenCL C code with a text editor and run it.

Thanks.